> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve SSH Key

> List all SSH Keys in the project. These keys can be used to access servers after deploy and reinstall actions.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /ssh_keys/{ssh_key_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /ssh_keys/{ssh_key_id}:
    get:
      tags:
        - SSH Keys
      summary: Retrieve SSH Key
      description: >
        List all SSH Keys in the project. These keys can be used to access
        servers after deploy and reinstall actions.
      operationId: get-ssh-key
      parameters:
        - name: ssh_key_id
          in: path
          required: true
          examples:
            Success:
              value: ssh_LYV8DZ12q5QoE
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: ssh_LYV8DZ12q5QoE
                      type: ssh_keys
                      attributes:
                        tags: []
                        name: okon.test
                        public_key: >-
                          ssh-rsa
                          AAAAB3NzaC1yc2EAAAADAQABAAABAQDbsRT5a6prybLLxm/7kojvMNCCQ2UIM9/7UaxhOWYM8om+3IwB1EMQEyiNrIJtmJ7OYUz1mb5cd2Ra0nl0GztBFbMiqsXOFj+yiAYXEObciMNg65QxUNIe3goOJBwXdhRp/n3uRk8VePSETMTtjfVMgAiY2/LLqLgpN0eYBaZN+E7/Z3VHjh53krElLex0oJaCfIrHYb4GvtdmbZiwUpqGOlg41/cMxyEV2E/KHHhQOHm1/xCCzPlTNsf26O+oiJCRuzFaYUctrr7XC/kN1H9oH2nYNKZmZHKLKKFOdhXAf7IzI6tagL4CHInysYWaMdJ8lyHGY9+wKeSrtQQmgNoR
                        fingerprint: c8:8d:f7:d8:5d:4c:fe:d4:09:85:4f:04:91:e4:0e:9c
                        created_at: '2026-01-14T15:57:05+00:00'
                        updated_at: '2026-01-14T15:57:05+00:00'
                        project: {}
                        user:
                          id: user_0A9pmoYAB8Uy5bJ6EmLVI0nKkaa
                          first_name: Jonelle
                          last_name: Grady
                          email: irina.miller@reilly.example
                          created_at: '2025-04-29T00:00:00.000Z'
                          updated_at: '2025-06-08T00:00:00.000Z'
                          role:
                            id: role_1KvABgXK63IKBM79NjvwU55yXNoW
                            name: owner
                            created_at: '2025-02-28T00:00:00.000Z'
                            updated_at: '2026-12-25T00:00:00.000Z'
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ssh_key_data'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.ssh_keys.get_ssh_key(ssh_key_id="ssh_LYV8DZ12q5QoE")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.SSHKeys.Retrieve(ctx, \"ssh_LYV8DZ12q5QoE\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.sshKeys.retrieve({
                sshKeyId: "ssh_LYV8DZ12q5QoE",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    ssh_key_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - ssh_keys
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the SSH Key
            public_key:
              type: string
              description: SSH Public Key
            fingerprint:
              type: string
              description: SSH Key fingerprint
            user:
              $ref: '#/components/schemas/user_include'
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````